Entur Developer
Personnel tickets

Import employees from an external system to be added to the personnel ticket system


Import a new employee

POST
https://api.entur.io
/personnelticket/v2/imports/employees

Import a new employee › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Import a new employee › Request Body

employeeNo
​string · minLength: 1 · required

Employee number

companyId
​integer · int64 · required

The company the employee is employed by

employmentTypeId
​string · minLength: 1 · required

The type of employment

dateOfBirth
​string · date · required

When the employee was born

Example: 2023-01-01
ssn
​string · minLength: 5 · maxLength: 5 · required

The employee's social security number. 5 digits.

Example: 44554
firstName
​string · minLength: 1 · required

The employee's first name

surname
​string · minLength: 1 · required

The employee's surname

addressLine
​string · minLength: 1 · required

The employee's postal address

postalCode
​string · minLength: 1 · required

The postal code for the employee's address

hireStartDate
​string · date · required

When the employee was hired

Example: 2019-04-12
employmentPercentage
​integer · int32 · required

Employment percentage

Example: 80
isDeleted
​boolean · required

Whether the employee has been marked for deletion. Default false

abstainFromTicket
​boolean

Whether a ticket should be created. Default false

payType
​string

Pay type - see the codes in the API documentation

Example: A
hireEndDate
​string · date

When the employee left the company

Example: 2019-04-17
hireEndCause
​string

Why the employee left the company

disabilityGrade
​integer · int32

The employee's degree of disability. Default 0.

Example: 20
disabilityFromDate
​string · date

When the employee's disability was granted

Example: 2017-12-31
employmentPercentageDate
​string · date

Date for registered employment percentage

Example: 2019-07-13
paidPercentage
​integer · int32

The pay level. This is calculated based on the employment percentage and the type of employment. Typically holds the same value as employment percentage, unless special circumstances apply

leaveFromDate
​string · date

When the employee starts a leave

Example: 2019-05-12
id
​integer · int64

If present, this will perform an update of the employee

Import a new employee › Responses

OK

id
​integer · int64 · required

The id of the imported employee

employeeNo
​string · required

Employee number

companyId
​integer · int64 · required

The company the employee is employed by

firstName
​string · required

The employee's first name

surname
​string · required

The employee's surname

employmentTypeId
​string

The type of employment

dateOfBirth
​string · date

When the employee was born

Example: 2023-01-01
ssn
​string

The employee's social security number

addressLine
​string

The employee's postal address

​PostalPlaceResponse

The postal data for the employee's address

abstainFromTicket
​boolean

Whether a ticket should be created

hireStartDate
​string · date

When the employee was hired

Example: 2019-04-12
payType
​string

Pay type - see the codes in the API documentation

Example: A
hireEndDate
​string · date

When the employee left the company

Example: 2019-04-17
hireEndCause
​string

Why the employee left the company

disabilityGrade
​integer · int32

The employee's degree of disability. Default 0.

Example: 20
disabilityFromDate
​string · date

When the employee's disability was granted

Example: 2017-12-31
employmentPercentage
​integer · int32

Employment percentage

Example: 80
employmentPercentageDate
​string · date

Date for registered employment percentage

Example: 2019-07-13
paidPercentage
​integer · int32

The pay level. This is calculated based on the employment percentage and the type of employment. Typically holds the same value as employment percentage, unless special circumstances apply

leaveFromDate
​string · date

When the employee starts a leave

Example: 2019-05-12
note
​string

Any additional information

isDeleted
​boolean

Whether the employee has been marked for deletion

lastUpdate
​string · date-time

When the imported employee was last updated

sourceLastUpdate
​string

The source for the last update

createdAt
​string · date-time

The date of creation.

createdBy
​string

The source for the first creation


Set the status of the yearly fee

POST
https://api.entur.io
/personnelticket/v2/imports/employees/{employeeId}/years/{year}/yearly-fees

Set the status of the yearly fee for the given employee for the given year. This endpoint will trigger generation of ticket rights.

Set the status of the yearly fee › path Parameters

employeeId
​integer · int64 · required · style: simple
year
​integer · int32 · min: 1980 · max: 2100 · required · style: simple

Set the status of the yearly fee › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Set the status of the yearly fee › Request Body

Yearly fee information
isPaid
​boolean · required

Whether this yearly fee has been paid

Example: true

Set the status of the yearly fee › Responses

OK

Yearly fee information
year
​integer · int32 · required

The year this fee is valid

Example: 2020
isPaid
​boolean · required

Whether this yearly fee has been paid

Example: true

Set registration status of the disability proof

POST
https://api.entur.io
/personnelticket/v2/imports/employees/{employeeId}/years/{year}/disability-proofs

Set registration status of the disability proof for the given employee for the given year

Set registration status of the disability proof › path Parameters

employeeId
​integer · int64 · required · style: simple
year
​integer · int32 · min: 1980 · max: 2100 · required · style: simple

Set registration status of the disability proof › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Set registration status of the disability proof › Request Body

Yearly disability proof information
isRegistered
​boolean · required

Whether proof of disability has been registered

Example: true

Set registration status of the disability proof › Responses

OK

Yearly disability proof information
year
​integer · int32 · required

The year this information is valid for

Example: 2020
isRegistered
​boolean · required

Whether a disability proof has been registered this year

Example: true

Import multiple employees via csv

POST
https://api.entur.io
/personnelticket/v2/imports/employees/csv

Import multiple employees via csv. Will return a list of the actually changed elements. This list may be empty if all uploaded values were already in the database.If any birth date or ssn is invalid, nothing will be imported, and an error message listing invalid dates and ssn will be returned

Import multiple employees via csv › query Parameters

importForCompany
​string · enum · style: form · explode: true

If provided, will parse the csv file based on the format provided by the company. Use employeeNoPrefix from the relevant company. The the company has no specific format registered, the standard format will be used.

Enum values:
standard
BaneS
BNOR
SPOR
entur

Import multiple employees via csv › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Import multiple employees via csv › Request Body

importFile
​

A csv formatted file with employees to import. Use the properties as described by the relevant format. Default is $ref: #/definitions/ImportedEmployeeRequest.

Import multiple employees via csv › Responses

OK

id
​integer · int64 · required

The id of the imported employee

employeeNo
​string · required

Employee number

companyId
​integer · int64 · required

The company the employee is employed by

firstName
​string · required

The employee's first name

surname
​string · required

The employee's surname

employmentTypeId
​string

The type of employment

dateOfBirth
​string · date

When the employee was born

Example: 2023-01-01
ssn
​string

The employee's social security number

addressLine
​string

The employee's postal address

​PostalPlaceResponse

The postal data for the employee's address

abstainFromTicket
​boolean

Whether a ticket should be created

hireStartDate
​string · date

When the employee was hired

Example: 2019-04-12
payType
​string

Pay type - see the codes in the API documentation

Example: A
hireEndDate
​string · date

When the employee left the company

Example: 2019-04-17
hireEndCause
​string

Why the employee left the company

disabilityGrade
​integer · int32

The employee's degree of disability. Default 0.

Example: 20
disabilityFromDate
​string · date

When the employee's disability was granted

Example: 2017-12-31
employmentPercentage
​integer · int32

Employment percentage

Example: 80
employmentPercentageDate
​string · date

Date for registered employment percentage

Example: 2019-07-13
paidPercentage
​integer · int32

The pay level. This is calculated based on the employment percentage and the type of employment. Typically holds the same value as employment percentage, unless special circumstances apply

leaveFromDate
​string · date

When the employee starts a leave

Example: 2019-05-12
note
​string

Any additional information

isDeleted
​boolean

Whether the employee has been marked for deletion

lastUpdate
​string · date-time

When the imported employee was last updated

sourceLastUpdate
​string

The source for the last update

createdAt
​string · date-time

The date of creation.

createdBy
​string

The source for the first creation


Get imported employee

GET
https://api.entur.io
/personnelticket/v2/imports/employees/{importedEmployeeId}

Get imported employee › path Parameters

importedEmployeeId
​integer · int64 · required · style: simple

Get imported employee › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get imported employee › Responses

OK

id
​integer · int64 · required

The id of the imported employee

employeeNo
​string · required

Employee number

companyId
​integer · int64 · required

The company the employee is employed by

firstName
​string · required

The employee's first name

surname
​string · required

The employee's surname

employmentTypeId
​string

The type of employment

dateOfBirth
​string · date

When the employee was born

Example: 2023-01-01
ssn
​string

The employee's social security number

addressLine
​string

The employee's postal address

​PostalPlaceResponse

The postal data for the employee's address

abstainFromTicket
​boolean

Whether a ticket should be created

hireStartDate
​string · date

When the employee was hired

Example: 2019-04-12
payType
​string

Pay type - see the codes in the API documentation

Example: A
hireEndDate
​string · date

When the employee left the company

Example: 2019-04-17
hireEndCause
​string

Why the employee left the company

disabilityGrade
​integer · int32

The employee's degree of disability. Default 0.

Example: 20
disabilityFromDate
​string · date

When the employee's disability was granted

Example: 2017-12-31
employmentPercentage
​integer · int32

Employment percentage

Example: 80
employmentPercentageDate
​string · date

Date for registered employment percentage

Example: 2019-07-13
paidPercentage
​integer · int32

The pay level. This is calculated based on the employment percentage and the type of employment. Typically holds the same value as employment percentage, unless special circumstances apply

leaveFromDate
​string · date

When the employee starts a leave

Example: 2019-05-12
note
​string

Any additional information

isDeleted
​boolean

Whether the employee has been marked for deletion

lastUpdate
​string · date-time

When the imported employee was last updated

sourceLastUpdate
​string

The source for the last update

createdAt
​string · date-time

The date of creation.

createdBy
​string

The source for the first creation


Patch a previously imported employee

PATCH
https://api.entur.io
/personnelticket/v2/imports/employees/{importedEmployeeId}

Patch a previously imported employee › path Parameters

importedEmployeeId
​integer · int64 · required · style: simple

Patch a previously imported employee › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Patch a previously imported employee › Request Body

Merge patch request for an Employee
employeeNo
​string · required

Employee number

companyId
​string · required

Company Id

employmentTypeId
​string · required

Type of employment

Example: full-time (F), part-time (M), extra (T), unknown (U)
employmentPercentage
​integer · int32 · required

Employment percentage

Example: 80
isDeleted
​boolean · required

Whether the employee has been marked for deletion. Default false

dateOfBirth
​string · date

When the employee was born

Example: 2023-01-01
ssn
​string

Birthdate-number og D-number, 5 digits

firstName
​string

The employee's first name

surname
​string

The employee's surname

addressLine
​string

The employee's address line

postalCode
​string

The postal code for the employee's address

preferredProductId
​integer · int64

The employee's product

abstainFromTicket
​boolean

Whether a ticket should be created

hireStartDate
​string · date

When the employee was hired

Example: 2019-04-12
payType
​string

Pay type - see the codes in the API documentation

Example: A
hireEndDate
​string · date

When the employee left the company

Example: 2019-04-17
hireEndCause
​string

Why the employee left the company

Example: pensioner (A), quitting (E), ...
disabilityGrade
​integer · int32

The employee's degree of disability. Default 0.

Example: 20
disabilityFromDate
​string · date

When the employee's disability was granted

Example: 2017-12-31
employmentPercentageDate
​string · date

Date for registered employment percentage

Example: 2019-07-13
paidPercentage
​integer · int32

The pay level. This is calculated based on the employment percentage and the type of employment. Typically holds the same value as employment percentage, unless special circumstances apply

leaveFromDate
​string · date

When the employee starts a leave

Example: 2019-05-12

Patch a previously imported employee › Responses

OK

id
​integer · int64 · required

The id of the imported employee

employeeNo
​string · required

Employee number

companyId
​integer · int64 · required

The company the employee is employed by

firstName
​string · required

The employee's first name

surname
​string · required

The employee's surname

employmentTypeId
​string

The type of employment

dateOfBirth
​string · date

When the employee was born

Example: 2023-01-01
ssn
​string

The employee's social security number

addressLine
​string

The employee's postal address

​PostalPlaceResponse

The postal data for the employee's address

abstainFromTicket
​boolean

Whether a ticket should be created

hireStartDate
​string · date

When the employee was hired

Example: 2019-04-12
payType
​string

Pay type - see the codes in the API documentation

Example: A
hireEndDate
​string · date

When the employee left the company

Example: 2019-04-17
hireEndCause
​string

Why the employee left the company

disabilityGrade
​integer · int32

The employee's degree of disability. Default 0.

Example: 20
disabilityFromDate
​string · date

When the employee's disability was granted

Example: 2017-12-31
employmentPercentage
​integer · int32

Employment percentage

Example: 80
employmentPercentageDate
​string · date

Date for registered employment percentage

Example: 2019-07-13
paidPercentage
​integer · int32

The pay level. This is calculated based on the employment percentage and the type of employment. Typically holds the same value as employment percentage, unless special circumstances apply

leaveFromDate
​string · date

When the employee starts a leave

Example: 2019-05-12
note
​string

Any additional information

isDeleted
​boolean

Whether the employee has been marked for deletion

lastUpdate
​string · date-time

When the imported employee was last updated

sourceLastUpdate
​string

The source for the last update

createdAt
​string · date-time

The date of creation.

createdBy
​string

The source for the first creation


Did you find what you were looking for?